package sk.upjs.projektFyzikov;

import java.awt.event.MouseEvent;

import sk.upjs.jpaz2.ImageShape;
import sk.upjs.jpaz2.Pane;
import sk.upjs.jpaz2.Turtle;

public class ExitButton extends Pane {
	/**
	 * Korytnacka predstavujuca tlacidlo
	 */
	private Turtle button;

	/**
	 * Konstruktor
	 */
	public ExitButton() {
		super(100, 48);
		setBorderWidth(0);
		button = new Turtle();
		setTransparentBackground(false);
		ImageShape.Builder imageBuilder = new ImageShape.Builder("images",
				"ExitButton.png");
		ImageShape ExitButton = imageBuilder.createShape();

		button.setShape(ExitButton);
		add(button);
		button.center();
	}

	/**
	 * Zariadi navrat na uvodnu obrazovku
	 */
	protected void onMouseReleased(int x, int y, MouseEvent detail) {
		Spustac.BackToMenu();
	}

	protected boolean onCanClick(int x, int y) {
		return button.containsInShape(x, y);
	}
}
