package sk.upjs.projektFyzikov;

public class KomparatorPodlaVzdialenosti implements
		java.util.Comparator<Castica> {
	/**
	 * Suradnice castice
	 */
	private int x;
	private int y;

	/**
	 * Konstruktor
	 * 
	 * @param x
	 *            - suradnica
	 * @param y
	 *            - suradnica
	 */
	public KomparatorPodlaVzdialenosti(int x, int y) {
		this.x = x;
		this.y = y;
	}

	/**
	 * Porovna dve castice na zaklade vzdialenosti od daneho bodu, castica
	 * nachadzajuca sa blzisie k bodu je v poradi pred casticou, ktora sa od
	 * bodu nachadza dalej
	 */
	@Override
	public int compare(Castica o1, Castica o2) {
		if (o1.distanceTo(x, y) < o2.distanceTo(x, y))
			return -1;
		if (o1.distanceTo(x, y) > o2.distanceTo(x, y))
			return 1;
		return 0;
	}

}
