package sk.upjs.projektFyzikov;

import sk.upjs.jpaz2.JPAZWindow;
import sk.upjs.jpaz2.TransitionEffect;

public class Spustac {
	/**
	 * Zakladne okno aplikacie
	 */
	private static JPAZWindow okno;
	/**
	 * Plocha s funkcionalitou
	 */
	private static Plocha plocha;
	/**
	 * Uvodna obrazovka
	 */
	private static IntroScreen intro;

	/**
	 * Prevedie introScreen na fyzikalnu plochu po kliknuti "start"
	 */
	public static void spustiAplikaciu() {
		if (plocha != null) {
			okno.rebindWithEffect(plocha, TransitionEffect.MOVE_UP, 1000);
		}
	}

	/**
	 * Prevedie fyzikalnu plochu na introScreen po kliknuti "exit"
	 */
	public static void BackToMenu() {
		if (intro != null) {
			okno.rebindWithEffect(intro, TransitionEffect.MOVE_DOWN, 1000);
		}
	}

	/**
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		intro = new IntroScreen();
		okno = new JPAZWindow(intro);
		plocha = new Plocha();
	}

}
